.container {
    max-width: 1140px !important;
    margin: 0 auto;
    padding: 0px;
    width:100%;
}
	.latest-posts{
		display:flex;
		justify-content:center;
	}
/* Хлебные крошки */
.breadcrumbs {
    padding: 34px 0px 30px 0px;
    font-size: 18px;
    color: #232323;
    
    font-weight: 300;
}

.breadcrumbs a {
    color: #232323;
    text-decoration: underline;
	transition: color .3s;
	font-weight:500;
}

.breadcrumbs a:hover {
    color: #cf0226;
	transition: color .3s;
}

/* Контейнер записи с сайдбаром */
.post-container {
    display: flex;
    flex-wrap: wrap;
    gap: 30px;
    margin: 20px 0 40px;
}

.post-content-wrapper {
    flex: 1;
    min-width: 0;
    max-width: 987px;
}

.post-sidebar {
    width: 300px;
}

/* Заголовок и мета-информация */
 .post-title {
    font-size: 36px;
    line-height: 1.2;
    margin-bottom: 40px;
    color: #333;
    font-weight: bold;
}
.post-card .post-details{
	height: 203px;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    justify-content: space-between;

}
.post-content-wrapper .post-meta {
    display: flex;
    align-items: center;
    font-size: 16px;
	font-weight:300;
    color: #232323;
	margin-bottom:30px;
	gap:10px;
	
}
.post-details .post-meta {
    display: flex;
    align-items: center;
    font-size: 16px;
	font-weight:300;
    color: #232323;
	
}

.post-author-avatar {
    margin-right: 10px;
}

.post-author-avatar img {
    border-radius: 50%;
    width: 30px;
    height: 30px;
}

.post-author {
    margin-right: 30px;
}
.post-card .post-author{
	margin-right: 20px;
    display: flex;
    align-items: center;
    gap: 12px;
}
.post-card .post-author img{
	width:36px;
	height:36px;
	border-radius: 36px;
}
.post-categories {
    margin-top: 20px;
	display:flex;
	gap:10px;
}

.category-tag {
    padding: 5px 10px;
    border: 2px solid #3002b2;
    border-radius: 13px;
    font-size: 16px;
    font-weight: bold;
    color: #3002b2;
    transition: background-color 0.3s;
}

.category-tag:hover,.category-tag:active {
    background-color: #3002b2;
	color:white;
	text-decoration:none;
	 transition: background-color 0.3s;
}
.post-content-wrapper .post-thumbnail{
	height:424px;
}
/* Миниатюра записи */
.post-thumbnail {
    margin-bottom: 30px;
    border-radius: 20px;
    overflow: hidden;
	padding:0px !important;
}

.post-thumbnail img {
    width: 100%;
    height: 424px !important;
	border-radius:6px;
    display: block;
}
.post-card .post-thumbnail img {
	height:256px !important;
	object-fit:cover;
}

/* Основной контент */
.post-content {
    font-size: 16px;
    line-height: 1.7;
    color: #333;
    margin-bottom: 30px;
}

.post-content p {
    margin-bottom: 20px;
	
	font-size:16px;
	line-height:120%;
	color:#000000;
}

.post-content h2 {
    
	font-size:22px;
	line-height:120%;
	font-weight:bold;
    margin-top: 26px;
    margin-bottom: 26px;
}

.post-content h3, .post-content h4, .post-content h5 {
    
	font-size:20px;
	line-height:120%;
	font-weight:bold;
    margin-top: 22px;
    margin-bottom: 22px;
}

.post-content img {
    max-width: 100%;
    height: auto;
    border-radius: 6px;
    margin: 25px 0;
}
.post-content a{
	color:#DDA40B;
	transition:color .3s;
}
.post-content a:hover{
	color:#a17705;
	transition:color .3s;
}

.post-content ul, 
.post-content ol {
    margin-bottom: 20px;
    padding-left: 5px;
    color: black;
    
    font-size: 16px;
    line-height: 120%;
}

.post-content li {
    margin-bottom: 8px;
}

.post-content blockquote {
    margin: 25px 0;
    border-radius: 12px;
    padding: 25px 30px;
    border-left: 4px solid #F4C64B;
    background-color: #FFFDF4;
    font-style: italic;
	
}

/* Теги */
.post-tags {
    margin-top: 30px;
    padding-top: 20px;
    border-top: 1px solid #eee;
    font-size: 14px;
    color: #666;
}

.post-tags a {
    color: #0073aa;
    text-decoration: none;
}

.post-tags a:hover {
    text-decoration: underline;
}

/* Сайдбар */
.post-sidebar {
    position: relative;
	padding-top:190px;
}

.post-sidebar.fixed {
    position: fixed;
    width: 300px;
}

.sidebar-widget {
    margin-bottom: 25px;
    padding: 20px;
    background-color: #fff;
    border: 1px solid #EBEBEB;
    border-radius: 20px;
    filter: drop-shadow(2px 2px 8px rgba(0, 0, 0, 0.07));
}

.sidebar-widget h3 {
    font-size: 18px;
    margin-top: 0;
    
    font-weight: 500;
    margin-bottom: 20px;
    color: #232323;
    padding-bottom: 20px;
    border-bottom: 1px solid #e0e0e0;
}

/* Оглавление */
.toc-list {
    list-style: none;
    padding: 0;
    margin: 0;
}

.toc-list li {
    margin-bottom: 20px;
    font-size: 14px;
    line-height: 1.4;
}
.toc-list li:
.toc-list a {
    color: #333;
    text-decoration: none;
    transition: color 0.3s;
}
.toc-list li:last-child{
	margin-bottom:0px;
}

.toc-list a:hover {
    color: #0073aa;
}
.toc-list .level-1 a{
    margin-left: 0;
	
	color:#303030;
	font-size:18px;
	line-height:100%;
	font-weight:400;
	text-decoration:none;
	
}
.toc-list .level-2 a{
    margin-left: 0;
	
	color:#4E4E4E;
	font-size:16px;
	line-height:100%;
	font-weight:400;
	text-decoration:none;
}
.toc-list .level-2{
	list-style: disc;
	margin-left:17px;
}

.toc-list .level-3 a{
    margin-left: 0;
	
	color:#4E4E4E;
	line-height:100%;
	font-size:15px;
	font-weight:400;
	text-decoration:none;
}

.toc-list .level-4 a,.toc-list .level-5 a{
    margin-left: 0;
	
	color:#4E4E4E;
	line-height:100%;
	font-size:15px;
	font-weight:400;
	text-decoration:none;
}

/* Категории в сайдбаре */
.categories ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

.categories li {
    margin-bottom: 20px;
    margin-left: 0;
    
    color: #303030;
    font-size: 16px;
    line-height: 100%;
    font-weight: 400;
    text-decoration: none;
}
.categories li:last-child{
	margin-bottom: 0px;
}

.categories a {
    color: #333;
    text-decoration: none;
    transition: color 0.3s;
}

.categories a:hover {
    color: #0073aa;
}
/*	Социальные сети			*/
.social-share-buttons{
	display: flex;
    gap: 16px;
    margin: 0px 0px 50px 0px;
}
.social-share-buttons a{
    background: #CF0226;
    padding: 14px 20px;
    display: flex;
    border-radius: 10px;
	transition:background .3s;
}
.share-links-caption{
	font-size: 24px;
    font-weight: bold;
    color: #000000;
    margin-bottom: 27px;
}
.social-share-buttons a:hover{
    background: #95001a; 
	transition:background .3s;
}
.social-share-buttons a:hover svg path:nth-child(2){
	fill:#95001a;
}

/* Недавние записи в сайдбаре */
.recent-post-item {
    display: flex;
    align-items: flex-start;
    margin-bottom: 15px;
	
}

.recent-post-thumb {
    flex: 0 0 80px;
    margin-right: 20px;
	margin-top:5px
}

.recent-post-thumb img {
    width: 100%;
    height: 55px;
    object-fit: cover;
    border-radius: 5px;
}

.recent-post-content a {
	color: #808080;
    text-decoration: none;
    font-size: 15px;
    font-weight: 400;
    
    line-height: 100%;
    transition: color 0.3s;
}

.recent-post-content a:hover {
    color: #000000;
}

/* Похожие статьи */
.related-posts-section h2{
	border-bottom: 2px solid #F4C64B;
    display: flex;
    width: 100%;
    max-width: 250px;
    color: #232323;
    font-size: 30px;
    font-weight: bold;
    box-sizing: border-box;
}
.posts-grid{
	display:flex;
	gap:10px;
	margin:20px 0px 20px 0px;
	flex-wrap:wrap;
	max-width:1320px;
}
#related-posts-container{
	min-height:507px;
}
#related-posts-container .posts-pagination{
	display: flex;
    justify-content: space-between;
	margin:71px 0px 404px 0px;
}
#related-posts-container .posts-pagination button{
	padding: 12px 20px;
    border-radius: 6px;
    border: 1px solid #D0D5DD;
    background: white;
    color: #232323;
    
    text-transform: math-auto;
    font-size: 16px;
    line-height: 120%;
    font-weight: 400;
}
.post-card .post-thumbnail{
	height:256px !important;
	border-radius:6px;
	margin-bottom:24px;
}
.archive-page-container{
    display: flex;
    flex-direction: column;
    align-items: center;
}
.archive-header {
    display: flex;
    max-width: 100%;
    width: 100%;
    margin-top: 30px;
    flex-direction: column;
    padding: 110px 30px;
    box-sizing: border-box;
    background: #d1c7e4;
    border-radius: 17px;
}
.archive-title{
    color: #20242f;
    font-weight: bold;
    font-size: 36px;
    font-family: "Inter";
}
.archive-description p{
	/* color:white; */
	background: linear-gradient(to bottom, #252626 0%, /* Royal Blue */ #20242f 100% /* Dodger Blue */);
	-webkit-background-clip: text;
	-webkit-text-fill-color: transparent;
	background-clip: text;
	color: transparent;
	font-weight: bold;
}
.post-card{
    display: flex;
    width: 315px;
    flex-direction: column;
    height: 507px;
    border-radius: 12px;
    border: 1px solid #E8E8EA;
    filter: drop-shadow(2px 2px 8px rgba(0, 0, 0, 0.07));
    background: #fff;
	padding: 16px;
}
.post-card .post-details h4 a{
    color: #0B2959;
    font-size: 24px;
    font-weight: bold;
    line-height: 120%;
	margin-bottom:20px;
	transition: color .4s;
	overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    line-clamp: 3;
    -webkit-box-orient: vertical;
}
.post-card .post-details h4 a:hover{
	color:#051124;
	transition: color .4s;
}
.post-card .post-details{
	padding:0px 8px 8px 8px;
}
.post-card .post-details .post-category{
	margin-bottom: 16px;
    height: 25px;
    box-sizing: border-box;
    display: flex;
}
.post-card .post-details .post-category a{
	    background: #3002b2;
    padding: 4px 10px;
    
    font-size: 14px;
    line-height: 20px;
    color: white;
    line-height: 120%;
    text-decoration: none;
    border-radius: 6px;
	transition: background .4s;
}
.post-card .post-details .post-category a:hover{
	background: #63A1CB;
	transition: background .4s;
}

/* Индикатор загрузки */
.loading-spinner {
    text-align: center;
    padding: 30px 0;
    color: #232323;
}

.loading-spinner span {
    display: inline-block;
    position: relative;
    padding-left: 30px;
}

.loading-spinner span:before {
    content: '';
    display: block;
    position: absolute;
    left: 0;
    top: 50%;
    width: 20px;
    height: 20px;
    margin-top: -10px;
    border: 3px solid #F4C64B;
    border-top-color: transparent;
    border-radius: 50%;
    animation: spin 1s linear infinite;
}

/* Активная категория */
.post-categories .category-tag.active {
    background-color: #3002b2;
    color: #fff;
	text-decoration:none;
}

/* Индикатор загрузки */
.loading-posts {
    width: 100%;
    text-align: center;
    padding: 20px;
    font-size: 16px;
    color: #777;
}
.posts-pagination .ajax-pagination-wrapper{
    display: flex;
    justify-content: space-between;
}
.posts-pagination .nav-button{
    background: #c7d4e4;
    padding: 5px 20px;
    font-size: 18px;
    line-height: 20px;
    color: white;
    line-height: 20px;
    text-decoration: none;
    border-radius: 6px;
    transition: background .4s;
    display: flex;
    align-items: center;
}
.posts-pagination .nav-button.disabled{
	background: #f5f5f5;
	cursor: not-allowed;
	color:black;
}
.posts-pagination .page-numbers{
    list-style: none;
    display: flex;
    margin: 0px;
	gap:5px;
}
.posts-pagination{
	margin-bottom:50px;
}
.page-numbers .page-numbers{
	background: #f5f5f5;
    padding: 5px;
    
    font-size: 18px;
    line-height: 20px;
    color: #272727;
    line-height: 20px;
    text-decoration: none;
    border-radius: 6px;
    transition: background .4s;
    display: flex;
    align-items: center;
}
.page-numbers .current{
    background: #63baeb;
    padding: 5px;
    font-size: 18px;
    line-height: 20px;
    color: #ffffff;
    line-height: 20px;
    text-decoration: none;
    border-radius: 6px;
    transition: background .4s;
    display: flex;
    align-items: center;	
}


@keyframes spin {
    to {
        transform: rotate(360deg);
    }
}
.desktop-hidden{
	display:none;
}
/* Адаптивность */
@media (max-width: 1339px) {
	.container{
		max-width:650px !important;
	}
    .post-container {
        flex-direction: column;
		max-width: 650px;
		gap:20px;
		margin:10px auto 10px;
    }
	.posts-grid{
		max-width:650px;
	}
	.post-card{
		width:320px;
	}
	.post-sidebar{
		padding-top:0px;
		width:100%;
	}
	.post-sidebar .table-of-contents{
		display:none;
	}
	.desktop-hidden{
		display:block;
	}
	#inner-wrap .container{
		max-width:650px;
	}
	#related-posts-container .post-card{
		width:100%;
	}
	#related-posts-container .posts-grid{
		flex-direction:column
	}
	#related-posts-container .posts-pagination{
		margin:71px 0px 150px 0px;
	}
	.post-content-wrapper .post-thumbnail{
		height:345px;
	}
	.post-content-wrapper .post-meta{
		margin-bottom:20px;
	}
	.post-content-wrapper .post-title{
		margin-bottom:20px;
	}
	.breadcrumbs{
		padding:30px 0px 30px 0px;
	}
}
@media(max-width:768px){
	.container{
		max-width:375px !important;
	}
	#inner-wrap .container{
		max-width:345px;
	}
	.post-content-wrapper .post-title{
		font-size:20px;
	}
	.breadcrumbs{
		font-size:14px;
	}
	.post-content-wrapper .post-meta{
		gap:0px;
		justify-content:flex-start;
	}
	.post-categories{
		margin-bottom:22px;
	}
	.post-content-wrapper .post-thumbnail{
		height:246px;
	}
	.table-of-contents.desktop-hidden{
		margin-bottom:32px;
	}
	.post-content h2{
		font-size:18px;
		margin:20px 0px;
	}
	.post-content h3, .post-content h4, .post-content h5{
		font-size:17px;
		margin:18px 0px;
	}
	.post-container .post-sidebar{
		display:none
	}
	.post-container{
		margin:10px 0 30px;
	}
	.share-links-caption{
		font-size:20px;
	}
	.related-posts-section h2{
		font-size:20px;
		max-width:168px;
	}
	.post-content blockquote p{
		margin:0px;
	}
	#related-posts-container .posts-grid{
		margin-top:40px;
	}
	#related-posts-container .posts-pagination{
		margin:68px 0px 68px 0px;
	}
	.post-card .post-thumbnail img,.post-card .post-thumbnail{
		height:191px !important;
	}
	.post-card .post-details{
		height:180px;
	}
	.post-card{
		height:419px;
		width:100%;
	}
	.post-details .post-meta{
		font-size:14px;
	}
	.posts-pagination .nav-button{
		font-size:16px;
		padding:5px;
	}
}
